CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::FITS::CantCreate Class Reference
FITS Exceptions

thrown on failure to create new file More...

`#include <FITS.h>`

Inheritance diagram for CCfits::FITS::CantCreate:

List of all members.

## Public Member Functions
| CantCreate (const String &diag, bool silent=false)
| Exception ctor prefixes the string: "FITS Error: Cannot create file " before specific message.

## Detailed Description

thrown on failure to create new file

## Constructor & Destructor Documentation

CCfits::FITS::CantCreate::CantCreate | ( | const String & | msg,
|  | bool | silent = `false`
| ) |  |

Exception ctor prefixes the string: "FITS Error: Cannot create file " before specific message.

This exception will be thrown if the user attempts to write to a protected directory or attempts to create a new file with the same name as an existing file without specifying overwrite [overwrite is specified by adding the character '!' before the filename, following the cfitsio convention].

Parameters:

  msg | A specific diagnostic message, the name of the file that was to be created.
  silent | if true, print message whether FITS::verboseMode is set or not.

The documentation for this class was generated from the following files:

- FITS.h
- FITS.cxx